# CameraStereoData(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``CameraStereoData`(bpy_struct)

  Stereoscopy settings for a Camera data-block

  `convergence_distance`

    The converge point for the stereo cameras (often the distance between a projector and the projection screen)

    Type: | float in [1e-05, inf], default 0.0

  `convergence_mode`
    - `OFFAXIS` Off-Axis, Off-axis frustums converging in a plane.
    - `PARALLEL` Parallel, Parallel cameras with no convergence.
    - `TOE` Toe-in, Rotated cameras, looking at the convergence distance.

    Type: | enum in [‘OFFAXIS’, ‘PARALLEL’, ‘TOE’], default ‘OFFAXIS’

  `interocular_distance`

    Set the distance between the eyes - the stereo plane distance / 30 should be fine

    Type: | float in [0, 100], default 0.0

  `pivot`

    Type: | enum in [‘LEFT’, ‘RIGHT’, ‘CENTER’], default ‘LEFT’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Camera.stereo` |